import { Component } from 'react';
import moment from 'moment';
import { IModalBodyProps, IModalBodyStates } from './types';
export default class ModalBody extends Component<IModalBodyProps, IModalBodyStates> {
    state: {
        countdown: moment.Duration;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    handleAppStateChangeForCountdown: (nextAppState: string) => void;
    initializeSessionCountdown: (duration: number) => moment.Duration;
    startCountdown: () => void;
    handleCountDown: () => void;
    handleSessionTimeout: (isStillAuthed: boolean, manualPress?: boolean | undefined) => void;
    handleYesBtnPress: () => void;
    handleNoBtnPress: () => void;
    resetCountdown: () => void;
    render(): JSX.Element;
}
