import moment from 'moment';
import { ITimeUtilsInitProps } from './components/SessionTimerModal/types';
export declare const init: (props: ITimeUtilsInitProps) => void;
export declare const getCurrentTimeStamp: () => number;
export declare const getBackgroundTimerEndTime: () => number;
export declare const startSessionTimer: (cb?: any, interval?: number | undefined) => void;
export declare const stopSessionTimer: (isStillAuthed?: boolean) => void;
export declare const handleAppStateChangeForBackgroundTimer: (nextAppState: string) => void;
export declare const formatCountdown: (countdown: moment.Duration) => string;
