import { Component } from 'react';
import { ISessionTimerModalProps, ISessionTimerModalStates } from './types';
export default class SessionTimerModal extends Component<ISessionTimerModalProps, ISessionTimerModalStates> {
    static defaultProps: {
        backgroundTime: number;
        modalTime: number;
        title: string;
        subtitle: string;
        modalConfigs: {};
        confirmButtonConfigs: {};
        cancelButtonConfigs: {};
    };
    state: {
        isShowModal: boolean;
    };
    componentDidMount(): void;
    componentWillUnmount(): void;
    hideModal: () => void;
    toggleSessionTimerModal: () => void;
    render(): JSX.Element;
}
