"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var enzyme_1 = require("enzyme");
var index_1 = __importDefault(require("./index"));
jest.mock('Platform', function () {
    var Platform = require.requireActual('Platform');
    Platform.OS = 'android';
    return Platform;
});
jest.useFakeTimers();
describe('SessionTimerModal', function () {
    var render = enzyme_1.shallow(react_1.default.createElement(index_1.default, null));
    var instance = render.instance();
    it('renders correctly', function () {
        expect(render).toBeDefined();
    });
    it('handles toggleSessionTimerModal', function () {
        instance.toggleSessionTimerModal();
    });
    it('handles hideModal', function () {
        instance.hideModal();
    });
    it('is able to unmount', function () {
        render.unmount();
    });
});
